<?php
session_start(); // Inizializza la sessione

// Funzione per generare una scritta a caso
function generaScrittaCasuale() {
  $scritte = array("ORARIO", "ANTIORARIO");
  return $scritte[random_int(0, count($scritte) - 1)];
}

// Controllo se il pulsante è stato cliccato
if (isset($_POST['cliccato'])) {
  // Generazione della scritta casuale
  $scritta = generaScrittaCasuale();

  // Salva la scritta generata nella sessione per la persistenza
  $_SESSION['scritta'] = $scritta;
}

// Recupera la scritta dalla sessione, se esiste
$scritta = isset($_SESSION['scritta']) ? $_SESSION['scritta'] : null;
?>

<!DOCTYPE html>
<html lang="it">
<head>
  <meta charset="UTF-8">
  <title>Genera scritta a caso</title>
  <style>
    body {
      margin: 0;
      padding: 0;
      height: 2000px; /* Solo per esempio, per avere abbastanza contenuto da scrollare */
    }
  </style>
</head>
<body>
  <form method="post">
    <input type="submit" name="cliccato" value="CLICCA QUI">
  </form>

  <?php if ($scritta): ?>
    <!-- Mostra la scritta casuale se esiste -->
    <p><strong>Senso:</strong> <?php echo htmlspecialchars($scritta); ?></p>
  <?php else: ?>
    <!-- Messaggio di default -->
    <p>Clicca il pulsante per scegliere tra senso orario e antiorario.</p>
  <?php endif; ?>

  <script>
    // Salva la posizione di scroll prima del ricaricamento della pagina
    window.addEventListener('beforeunload', function() {
      sessionStorage.setItem('scrollTop', window.scrollY);
    });

    // Ripristina la posizione di scroll dopo che la pagina è stata caricata
    window.addEventListener('load', function() {
      var scrollTop = sessionStorage.getItem('scrollTop');
      if (scrollTop !== null) {
        window.scrollTo(0, parseInt(scrollTop, 10));
        sessionStorage.removeItem('scrollTop'); // Rimuove la posizione di scroll salvata
      }
    });
  </script>
</body>
</html>
